Bug 222597 - Review Request: php-pear-Crypt-CHAP - Class to generate CHAP packets
Review Request: php-pear-Crypt-CHAP - Class to generate CHAP packets
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2007-01-14 21:02 EST by Christopher Stone
Modified: 2016-08-14 12:26 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 15:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)
php-pear-Crypt-CHAP-test.patch (to avoid awful warnings) (966 bytes, patch)
2007-03-11 14:06 EDT, Remi Collet
no flags Details | Diff

  None (edit)
Description Christopher Stone 2007-01-14 21:02:08 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Crypt-CHAP.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Crypt-CHAP-1.0.0-1.src.rpm

Description:
This package provides Classes for generating CHAP packets.  Currently these
types of CHAP are supported: CHAP-MD5, MS-CHAPv1, MS-CHAPv2. For MS-CHAP the
mhash and mcrypt extensions must be loaded.
Comment 1 Remi Collet 2007-03-11 14:06:39 EDT
Created attachment 149795 [details]
php-pear-Crypt-CHAP-test.patch (to avoid awful warnings)

I always run (or try to run) tests during review.

This patch allow the simple test to run without any warning or error.
Add it if you think it is usefull (you can even file a bug upstream).
Comment 2 Remi Collet 2007-03-11 14:11:55 EDT
=== REVIEW ===

:) source files match upstream:
b09ba7b851f85528638d9a9dae67b1c9  Crypt_CHAP-1.0.0.tgz
:) package meets naming and packaging guidelines.
:) specfile is properly named, is cleanly written and uses macros consistently.
:) dist tag is present.
:) build root is correct (second form).
:) license field matches the actual license.
:) license is open source-compatible (BSD).
:) latest version is being packaged (1.0.0)
:) BuildRequires are proper.
:) %clean is present.
:) package builds in mock (FC6).
:) package installs properly
:/ rpmlint output acceptable
W: php-pear-Crypt-CHAP no-documentation
:) final provides are sane:
php-pear(Crypt_CHAP) = 1.0.0
php-pear-Crypt-CHAP = 1.0.0-1.fc7
:) final Requires are sane:
php-mcrypt  
php-mhash  
php-pear(PEAR)  
:) %check is not present; 
:) owns the directories it creates
:) no duplicates in %files.
:) file permissions are appropriate.
:) scriplets are ok (pear install)
:) code, not content.
:/ no documentation.

=== APPROVED ===
Comment 3 Christopher Stone 2007-03-12 16:01:14 EDT
New Package CVS Request
=======================
Package Name: php-pear-Crypt-CHAP
Short Description: Class to generate CHAP packets
Owners: chris.stone@gmail.com
Branches: FC-5 FC-6 devel
InitialCC: 
Comment 4 Christopher Stone 2007-03-13 14:21:57 EDT
The pear bug database is seriously messed up.  I have spent *way* too much time
trying to submit a bug to pear, it is so difficult to report a bug that it
simply is not worth the effort.  In fact, I think it is actually impossible at
this point.  Just as an example of how bad it is, try going to:

http://pear.php.net/bugs/report.php

to report a bug, you cannot even create a new account, nor can I even log in
with my old account.  This is just the tip of the iceberg!

I attempted to report the bug, but I am unable to even confirm my email address
because their bug reporting system is so broken right now.

That being said, I will just apply your patch and not even bother contacting
upstream, the situation is pretty dire if you can no longer report bugs to pear.
Comment 5 Christopher Stone 2007-03-13 15:16:04 EDT
- Attempted to report bug to pear, but reporting a bug to pear was about ten
times more difficult than actually making this package and I still was unsuccessful.
- Applied patch to spec file in -2 release
- Imported and built on FC-5 FC-6 and devel

Thanks for the review!

:D
Comment 6 Remi Collet 2007-03-14 17:11:39 EDT
Seems you bug finaly reported... Version 1.0.1 is out

Changelog : fix some warnings (test-script)

;)
Comment 7 Christopher Stone 2007-03-14 20:11:39 EDT
Indeed!  Remi, can you take a look at bug #232165, I've split the package up
into sub-packages for optional dependencies.  I'm wondering if we should add
extra Provides for these sub-packages and if we should add something to the PHP
guidelines concerning optional dependencies on php packages.
Comment 8 Christopher Stone 2007-04-21 12:30:22 EDT
Branch Package CVS Request
=======================
Package Name: php-pear-Crypt-CHAP
Short Description: Class to generate CHAP packets
Owners: chris.stone@gmail.com
Branches: EL-5
InitialCC: 

Note You need to log in before you can comment on or make changes to this bug.